## sw-debug

sw-debug

## Functions

#define | SW_DEBUG_ENABLED()
#define | SW_DEBUG()
void | sw_debug_init ()

## Types and Values

enum | SwDebugFlags
extern guint | sw_debug_flags

## Object Hierarchy

        GFlags
        ╰── SwDebugFlags

## Description

## Functions

### SW_DEBUG_ENABLED()

    #define SW_DEBUG_ENABLED(category) (sw_debug_flags & SW_DEBUG_##category)

### SW_DEBUG()

    #define             SW_DEBUG(category,x,a...)

### sw_debug_init ()

    void
    sw_debug_init (const char *string);

## Types and Values

### enum SwDebugFlags

#### Members

SW_DEBUG_MAIN_LOOP |  |
SW_DEBUG_VIEWS |  |
SW_DEBUG_ONLINE |  |
SW_DEBUG_ITEM |  |
SW_DEBUG_CONTACT |  |
SW_DEBUG_TWITTER |  |
SW_DEBUG_LASTFM |  |
SW_DEBUG_CORE |  |
SW_DEBUG_VIMEO |  |
SW_DEBUG_FLICKR |  |
SW_DEBUG_SMUGMUG |  |
SW_DEBUG_PHOTOBUCKET |  |
SW_DEBUG_FACEBOOK |  |
SW_DEBUG_CLIENT_MONITOR |  |

### sw_debug_flags

    extern guint sw_debug_flags;